Questions tagged [cad]

Computer-Aided Design is the use of computers in the engineering design process. It involves drafting, modelling, simulation, optimisation, and creation of technical documentation. The term CAD is often used to denote software for computer-aided design.

Filter by
Sorted by
Tagged with
0
votes
1answer
56 views

Spherical Parallel Manipulator in SolidWorks

I need a little help with SolidWorks. I need to assemble such a mechanism, which I am currently working on. But I get a rather complicated and cumbersome algorithm: First, I build a "wireframe&...
-1
votes
0answers
53 views

Meaning of symbols in a drawing

I recently found a drawing with this symbols. It looks like ome kind of tolerance to me, but I don't know its meaning. What do this symbols mean?
1
vote
0answers
48 views

What is a good approach on creating a custom robotics gearbox

I would like to put together a custom gearbox of the scale of around 50mmx30mmx30mm to fix a gadget that I am designing. My question is how should I approach producing this? Should I design components ...
1
vote
1answer
46 views

Is there a way to fix 'bad' surfaces in Solidworks?

I'm trying to create a smooth blended fillet on the outer edge of a part with fillets around it's corners in Solidworks. The results I have are pretty much what I want it to look like but when I check ...
1
vote
0answers
53 views

Guidance for a CAD model of a product

Hi Everyone! I am a novice in CAD modeling, and I am familiar with only two CAD tools - Autodesk fusion 360 and Solidworks. I want to make a CAD model of a product with the outer pod or shell as seen ...
1
vote
0answers
19 views

AutoDesk Inventor Export Dimensions from Design Accelerator Generated Spur Gear

I'm working on modeling a turret-like mechanism in AutoDesk Inventor. Part of my design involves a rotating table. In order to accomplish this, I used the spur gear tool to generate a set of spur ...
0
votes
1answer
29 views

About the License of GrabCad's shared models

we were trying to find one Dal Mill Storage Shed, CAD file form the grabcad site. If Possible i like to understand can we use the shared cad file of the grabcad site for commercial usage. I have seen ...
2
votes
0answers
43 views

In Solidworks Hole Toolbox, what is Thread Minor Diameter according to DIN 13-1

Dear StackExchange Community, I recently discovered how to use the Toolbox customization to specify new threads in Solidworks 2021 SP2.0, such as ISO fine metric threads (DIN 13-3- ... -9). However, ...
1
vote
0answers
42 views

Manual vs Fusion360 calculation of natural frequency of beam

I'm trying to uncover the natural frequency of a mass-less beam with 2 masses attached but getting different answers from Fusion360 vs a hand calculation. L1=1m, L2=2m, m1=10kg, m2=20kg, Young's=...
0
votes
2answers
47 views

Freecad arc direction constraint

I've got the following sketch: (A vertical line of 3mm, 5mm from the center of the sketch, with an arc running from end to end.) FreeCAD indicates that this sketch is fully constrained. However, ...
4
votes
2answers
79 views

Get average shape from 10k + files

We have a ton of ergonomic data in STL files. We would like to use that data to define a basic shape for our designs. So what i am looking for an algorithm or software solution that is able to scan ...
1
vote
0answers
51 views

Automatic dimensioning

I have set of random points in the workspace as shown in the figure. I want to automatically dimension those points (Linear dimension only) in the best possible way by using any programming language ...
1
vote
1answer
60 views

Tolerances in a pin-hole assembly

Hi guys, can someone explain how to do this question? This question is under Geometric Dimensioning and Tolerances and I am clueless on how to tackle problem like this. EDIT This is the explanation ...
1
vote
1answer
50 views

What is the convention for the origin coordinates of a CAD drawing?

Is there a convention to use (0, 0, 0) as the center of a CAD drawing? If so, why? Wouldn't it be easier to use (0, 0, 0) as the bottom left corner and start drawing on the positive coordinates?
0
votes
0answers
28 views

Conversion of orthographic projection to isometric projection [duplicate]

I'm new to engineering drawing, and I am having trouble drawing isometric projection from orthographic projections. Can someone give the steps/thought process behind this conversion? I can upload the ...
0
votes
1answer
40 views

Software correction of CAD or Gcode based on machine measurements

I own a CNC machine (Shapeoko 3 XXL) which I use to make projects that require good 90° angles, and I have been through several steps of improvement/calibration of the machine that are described in ...
1
vote
1answer
51 views

Trying to find proper Open source CAD Software For the Automatic Tooth Comparing [closed]

I am trying to do the Automatic Tooth's CAD Compare for Tooth crowns preparation. One software for this work is the PrepCheck software and do it like shown below (YouTube video)]6 So it must be done ...
1
vote
0answers
48 views

Design a Jig and Fixture for 3-axis CNC Milling Machine

Newbie Here!!! This is my assignment task. I am required to design a Jig and Fixture for 3-axis CNC Milling Machine. The workpiece will be a simple aluminium block and it will be cut and shaped into a ...
2
votes
0answers
29 views

Bulk edit or script multiple DXF files

I have several hundred .dxf files that are all pretty simple rectangles with MText inside. I am looking for a way to, in bulk, convert the MText to Polylines (TXTEXP) without having to open each file ...
1
vote
1answer
44 views

eDrawings Displays Text Differently Than Spinfire

I am generating a very simple DXF file with the netDXF library. The DXF is a polyine box with text in the middle. When I open the file in SpinFire and DWG Trueview the text is centered (image with H ...
0
votes
1answer
55 views

Intersection constraints?

Is it possible to constraint a line on another line by way of a perpendicular constraint? This also includes center points on other objects. What I am trying to accomplish is to move a rectangular ...
0
votes
1answer
26 views

How can I change the type of extrusion output in Siemens NX 12?

I´m new to Siemens NX 12 coming from Fusion 360. I´m having problems with the extrusion command in NX 12. I´ve created a sketch where I want to extrude one big body and then add with the second ...
1
vote
0answers
33 views

What what software tools do engineers use to programatically generate and parameterize 2D CAD designs

For many years I've been writing scripts to generate SVG graphics, first in stand-alone python scripts, then in Inkscape extensions, and then in various JS frameworks. I'm considering creating a web-...
2
votes
1answer
32 views

Solidworks Extrude Base/Boss - Base Extrude Doesn't Seem to Exist Anymore?

I've started using SolidWorks migrating from other software, Creo Parametric (formerly Pro/E) and the Base/Boss terminology confused me. After significant research, I've found that a "base ...
0
votes
1answer
54 views

How do I interpret a fillet indication on a technical drawing

I'm reproducing in Fusion 360 an object based on a technical drawing, but I have trouble understanding what this means: When I read the Wikipedia article on Engineering drawing, abbreviations and ...
1
vote
0answers
35 views

FreeCAD - where are the library files?

I downloaded FreeCAD 0.18 from the Ubuntu Software (snap). I don't know where are the libraries, so i can do import FreeCAD and run standalone Python programs with ...
4
votes
0answers
50 views

Solidworks Loft error (guide curve not intersecting with profiles)

I am trying to add 'finger grooves' to my model of a brake lever and want to use a loft to do so. I have created (to my knowledge) all required sketches for the loft but SW gives me an error when ...
3
votes
3answers
309 views

What is “reversal” in mechanical engineering drawing?

I've come across these terms "reversals allowed" and "reversals not allowed" in a sample drawing while reading a GD&T course. What exactly are these terms? What do they mean?
-1
votes
2answers
43 views

How did OXO manufacture this colander with such intricate wall feature?

Here's my guess, but I would love to hear another perspective. I think this is injection molded. This colander has draft angles and the two mold halves use an intricate step-like wall pattern to ...
1
vote
1answer
41 views

Autodesk Inventor Make Holes on Different Edges Based on One Line

I need to invent a construction based on standard square tubes with holes placed in certain distance from each other and from ends of the tubes: I also need to imagine the tube with holes as a ...
2
votes
0answers
307 views

In freecad, how do you copy a sketch geometry from one plane to another?

I'm using FreeCAD, and I would like to copy all the geometry in a 2D sketch to another plane. So you have a 2D drawing on XY, and you want the same geometry to be copied to XZ. I can't seem to find an ...
2
votes
0answers
23 views

Setup Invention Process in Engineering CAD Software

I need to develop a collapsible metal construction. I have a few specific prerequisites. Generally speaking, it will be something like a big construction toy, but not be a toy. It has the specific ...
3
votes
0answers
19 views

Different results for every cloud compare aligning module

I have tried cloudcompare and the aligning ICP module like this: and give transformation matrix lie this: For one STL file twice and get different result for under 0.1 value in max distance like ...
1
vote
1answer
28 views

I need a roller setting where I input a 1 feet fabric and need it to be reduced and compressed about 9 inches and released back as 1 feet fabric

I have a requirement where I need to input 1 ft wide flexible 5mm thick fabric into a roller setting where my width is reduced to 9 inches and compressed and released back as 1 ft. I thought of using ...
1
vote
1answer
47 views

Help understanding this dimension sheet

I am trying to currently model a few parts for my custom 3D Printer. I have found some flanged lead screw nuts i'm going to use, but i'm having a hard time reading the dimension sheet. Specifically, ...
1
vote
0answers
32 views

How can I draw an angled wall with constant thickness per slice along an axis?

This questions is hard for me to formulate, so here is the problem: During these Covid-19 times, my dad (a mechanics manufacturing teacher) made two articles (1, 2) on how to design and model custom-...
-1
votes
1answer
16 views

Cloudcompare Cut at specific coordination by one reference cut (third part of question)

according to these two previous question: Cloud compare Cut at specific coordination by one reference cut and : Cloud-compare Cut at specific coordination by one reference cut (second part of ...
-1
votes
1answer
115 views

Cloudcompare M3C2 vs C2M signed distance outputs (reference cloud problem!)

I have two mode which using the cloud compare for comparing those together, i used the ordinary distance compare method ( C2M signed method) with this parameter as you can see here: and for more ...
2
votes
0answers
42 views

Moving extrusions on bent surface

Hi there I found my self with a broken pair of headphones for which I am designing a spare part in Inventor right now. (Using Inventor Professional 2020). I have the problem that I have a set of ...
1
vote
2answers
50 views

Calculating and Designing a Ring Gear for LEGO

I'm working on 3d printing a planetary gear for LEGO. I've got a constrained set of planetary + sun gears and was looking into designing a custom ring gear. I've read a little bit into the design of ...
3
votes
1answer
109 views

Solidworks motionstudy/motion study causes parts to “jump”

(solidworks files here) I've made a small assembly thet mooves smoothly manually, but when I try to moove it the same way is motion study, it collides is a strange way... what can be the cause of ...
1
vote
2answers
188 views

Banking progression in NASCAR tracks

the Bristol Motor Speedway is 0.533 mi long racetrack. The road is banked and circular. The straights are banked to 6–10° and turns to 26–30°. I have made a small diagram for ilustration. Before the ...
3
votes
1answer
376 views

How to model Motor Windings in Solidworks?

I want to model a DC motor in order to eventually do some simulations (temperature/cooling related) and I'm wondering what is the best way to model the motor windings? I've seen a few video's on how ...
-1
votes
1answer
61 views

How do you create a mounting device for a PCB if the PCB's mounting hole positions aren't documented?

I'm trying to create a place for these PCBS to mount onto: https://www.amazon.com/ELEGOO-Prototype-Soldering-Compatible-Arduino/dp/B072Z7Y19F/ref=pd_cart_vw_crc_1_2/133-3052301-7665733?_encoding=UTF8&...
2
votes
0answers
15 views

Creating an extrude in creo parametric 5

I’m trying to create the following extrude. I have created a crankshaft based on the following sketch: I then removed material as follows, which is placed on the rear surface of the shaft. The ...
2
votes
0answers
40 views

How do I create nano-scale mesh electronics in Solidworks?

I'm trying to complete a project for my solidworks course and it involves nanoelectronics. The idea is to create a mesh array of field effect transistors (FETs) that will monitor the firing of neurons ...
2
votes
0answers
71 views

Cube vertex/corner blending/fillet algorithm

I created fillets/blending for a cube corner in 3 cases. For the first case, the 3 radius are equal. The blending surface is a sphere patch. For the second case, two radius are smaller than the ...
2
votes
0answers
32 views

Assign a name to surface in CAD STEP file

I have a CAD model designed in FreeCAD and need to export it to a STEP file (neutral CAD format) to be used in numerical anaysis software. I would like to assign names to selected surfaces in order to ...
1
vote
1answer
48 views

Bendable flaps on sheet metal

I'm trying to cut some bendable flaps on aluminium sheets for hooking/clipping onto some fabric. The flaps I have in mind look like this: Are these common features? Does anyone know the geometry of ...
3
votes
0answers
179 views

Wireframe parts in Siemens NX

This is probably a fairly basic question for seasoned Siemens NX users, but I can't find a solution anywhere. I have a large assembly and I would like to set certain components to wire frame view, ...